{ lib, fetchFromGitHub, rustPlatform }:

rustPlatform.buildRustPackage rec {
  pname = "matugen";
  version = "v2.1.0";

  src = fetchFromGitHub {
    owner = "InioX";
    repo = pname;
    rev = version;
    hash = "sha256-QxwHP7lKxmF62azsGssarQg6YDrugaUhK5JChKhlkRQ=";
  };

  cargoHash = "sha256-J5Bn3RZIiYoSKwNtOiFeA/Ng3/y9TMJ7eNXqXtwxvOA=";

  meta = with lib; {
    description = "";
    homepage = "https://github.com/InioX/matugen";
    license = licenses.gpl2;
    maintainers = [];
  };
}
